For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETGet orders filtered by search parameters
          • GETGet order by {order-id}
          • POSTConfirm receipt of order and update merchant order number
          • POSTRun an operation on an order
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Orders

Get order by {order-id}

GET
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id
GET
/api/v2/orders/:order-id
$curl https://api.feedamp.feedonomics.com/api/v2/orders/1 \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
1{
2 "id": "109872189273617283",
3 "marketplace_order_number": "111-99998888-55555",
4 "customer": {
5 "full_name": "A. Customer",
6 "email": "customer@internet-provider.com",
7 "phone": "5558675309",
8 "vat": "78131452263"
9 },
10 "imported_date": {},
11 "purchase_date": {},
12 "currency": "USD",
13 "shipping_address": {
14 "full_name": "John M. Doe",
15 "address1": "123 Fake Street",
16 "city": "Ghost Town",
17 "state": "DC",
18 "postal_code": "91234",
19 "country_code": "USA",
20 "address_type": "business",
21 "address2": "Building 456",
22 "address3": "Room 789",
23 "country_code_iso2": "US",
24 "phone": "9997776666"
25 },
26 "order_lines": [
27 {
28 "id": "109872189273617283",
29 "marketplace_line_number": "XX-111-FF-1111",
30 "sku": "1234-12353",
31 "product_name": "ACME Super Product",
32 "quantity": 1,
33 "unit_price": 200,
34 "shipping_method": "Standard",
35 "shipping_price": 1.95,
36 "taxes": [
37 {
38 "type": "SHIPPING",
39 "amount": 1.1
40 }
41 ],
42 "discounts": [
43 {
44 "name": "Spring Discount",
45 "amount": 1.1,
46 "type": "ITEM"
47 }
48 ],
49 "platform_discount": 5.5,
50 "commission": 2.5,
51 "gift_wrap_price": 5.99,
52 "gift_wrap_tax": 0.3,
53 "is_tax_collected_by_marketplace": false,
54 "order_line_additional_properties": {}
55 }
56 ],
57 "marketplace_state": "Shipped",
58 "customer_order_number": "000-1234567-7654321",
59 "merchant_order_number": "12345",
60 "marketplace_name": "Target",
61 "integration_name": "My Store",
62 "sales_channel": "Marketplace.co.uk",
63 "location": {
64 "source_location_id": "a0b0c0-f-f-f-f00f",
65 "name": "City Store - Citiesville",
66 "active": true,
67 "client_location_id": "my-locid_00",
68 "address": "1234 Street Ave., City Township, NJ 00000",
69 "custom_fields": {}
70 },
71 "delivery_notes": "leave by the back door.",
72 "earliest_ship_date": {},
73 "latest_ship_date": {},
74 "latest_delivery_date": {},
75 "earliest_delivery_date": {},
76 "gift_message": "Happy birthday!",
77 "marketing_opt_in": false,
78 "billing_address": {
79 "full_name": "John M. Doe",
80 "address1": "123 Fake Street",
81 "city": "Ghost Town",
82 "state": "DC",
83 "postal_code": "91234",
84 "country_code": "USA",
85 "address_type": "business",
86 "address2": "Building 456",
87 "address3": "Room 789",
88 "country_code_iso2": "US",
89 "phone": "9997776666"
90 },
91 "order_additional_properties": {},
92 "payment_gateway_transactions": [
93 {
94 "id": "id",
95 "amount": 10,
96 "currency": "USD",
97 "gateway_transaction_id": "12345",
98 "gateway": "stripe"
99 }
100 ],
101 "workflow_status": "SENT_FOR_FULFILLMENT",
102 "normalized_marketplace_state": "PENDING",
103 "is_marketplace_fulfilled": false,
104 "marketplace_state_changed_at": {},
105 "fulfillment_type": "shipment",
106 "shipment_service_level": "UPS_GROUND",
107 "shipment_node": "Austin Warehouse"
108}
A single order model
Was this page helpful?
Previous

Get orders filtered by search parameters

Next

Confirm receipt of order and update merchant order number

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idlongRequired
The id of the order

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Query parameters

include_raw_databooleanOptionalDefaults to false
Set true to include the raw data from the marketplace for each order in results.

Response

Single order
idstring
Unique identifier for a record
marketplace_order_numberstring1-128 characters
The primary order number used to identify the order in the marketplace's system
customerobject
imported_datedatetime

The datetime at which the order was first seen by FeedAMP. RFC-3339 format 2020-12-31T12:34:56-05:00

purchase_datedatetime

The datetime of the purchase date. RFC-3339 format 2020-12-31T12:34:56-05:00

currencyenum
ISO 4217 Currency codes
shipping_addressobject
Customer's Shipping Information
order_lineslist of objects
A collection of OrderLine objects. This property contains the individual order lines that the seller is to fulfill
marketplace_statestring
The marketplace's own representation of the order state
customer_order_numberstring>=1 character

Customer-facing order number provided by marketplace

merchant_order_numberstring>=1 character

Order identifier in the merchant’s e-commerce platform

marketplace_namestring
The platform from which the order originated
integration_namestring

Client-configured identifier for the integration from which the order originated

sales_channelstring

The specific channel within a marketplace in which orders are processed (typically corresponds to region)

locationobject

Details about the location (e.g. store) associated with an order

delivery_notesstring

The customer’s instructions to the delivery service regarding where/how to leave the package.

earliest_ship_datedatetime

The earliest expected ship-by date. RFC-3339 format 2020-12-31T12:34:56-05:00

latest_ship_datedatetime

The latest expected ship-by date.RFC-3339 format 2020-12-31T12:34:56-05:00

latest_delivery_datedatetime

The latest expected deliver-by date. RFC-3339 format 2020-12-31T12:34:56-05:00

earliest_delivery_datedatetime

The earliest expected deliver-by date. RFC-3339 format 2020-12-31T12:34:56-05:00

gift_messagestring
Gift message attached to order
marketing_opt_inboolean
Whether the customer opted in to marketing emails
billing_addressobject
Customer's Shipping Information
order_additional_propertiesmap from strings to any
Arbitrary data the marketplace associated with an order
payment_gateway_transactionslist of objects
A collection of PaymentGatewayTransaction objects
workflow_statusstring
FeedAMP’s internal representation of the orders’s progress through client-specific workflow. Common values: <ul>
  • IMPORTED - FeedAMP has imported the order from the sales channel, but it has not been forwarded to the merchant’s store platform
  • ON_HOLD - Order was created on the storefront, but is in a configured hold or remorse period before being released for shipment
  • SENT_FOR_FULFILLMENT - Merchant’s fulfillment platform has received the order and fulfillment is in progress
  • FULFILLED - Merchant has shipped everything in the order and FeedAMP has received the shipment information
  • CANCELLED - Order was cancelled, either by the sales channel (customer cancelled) or the merchant platform (e.g. item not available)
  • </ul>
    normalized_marketplace_stateenum
    FeedAMP’s interpretation of the marketplace state <ul>
  • PENDING - Order has been created on the sales channel, but is awaiting some outside process such as a fraud check or payment capture before it is ready for fulfillment.
  • AWAITING_ACKNOWLEDGEMENT - Order is from a sales channel that requires explicit acknowledgement, and the order has not yet been acknowledged.
  • AWAITING_SHIPMENT - Order is ready for fulfillment, and still has one or more items unshipped.
  • SHIPPED - The sales channel has successfully received fulfillment information for the entire order.
  • CANCELLED - The order has been cancelled, either due to action initiated by the sales channel (customer cancelled) or the entire order has been cancelled during fulfillment processing (seller cancelled).
  • MISSING - The order was imported to FeedAMP, but we have not yet determined the order’s status according to the sales channel.
  • UNRECOGNIZED - The sales channel reported a status value that FeedAMP does not understand.
  • </ul>
    is_marketplace_fulfilledbooleanDefaults to false
    Whether the order is fulfilled by the marketplace, and no further action is required by the seller to fulfill <ul>
  • True - The order is fulfilled by the marketplace
  • False - The seller must fulfill the order
  • </ul>
    marketplace_state_changed_atdatetime

    The time at which our system received the latest marketplace state change for the order. RFC-3339 format 2020-12-31T12:34:56-05:00

    fulfillment_typeenum
    Type of fulfillment required for the order <ul>
  • shipment - Requires shipment by the seller
  • digital - No physical fulfillment
  • pickup - Order prepared for local pickup by buyer
  • local_delivery - Order is fulfilled by a local store
  • </ul>
    Allowed values:
    shipment_service_levelstring
    Shipment Service Level
    shipment_nodestring
    Shipment Node

    Errors

    401
    Unauthorized Error
    404
    Not Found Error
    500
    Internal Server Error
    503
    Service Unavailable Error